Use PyCharm with Compass

Hi PyCharmers,

I have a question regarding PyCharm and Compass. I want to use the editor of PyCharm together with Compass to work on my .SCCS files.

I have Ruby and Compass installed correctly. Also the modules needed for the CSS framework has been installed. With the instruction on http://gumbyframework.com/docs/sass/#!/

When I try to compile the .SCCS files with changes I get the following message in PyCharm:
  /home/yoraoul/.rvm/gems/ruby-2.0.0-p247/bin/scss –no-cache –update gumby.scss:gumby.css
      error gumby.scss (Line 21: File to import not found or unreadable: modular-scale.
Load path: /home/yoraoul/Projects/history/Gumby/sass)

I can see from this message it is not using Compass and modular-scale has been installed. But is is not been used by PyCharm.

When I run Compass via command bash it makes the changes that I have put in with PyCharm.

Is there a way I can change the settings to get PyCharm and Compass working together?

Thanks,
Raoul
2 comments
Hi Raoul,

According to http://youtrack.jetbrains.com/issue/WEB-5802#comment=27-576409 initial Compass framework support should work in latest PyCharm EAP version: http://confluence.jetbrains.com/display/PYH/JetBrains+PyCharm+Preview+%28EAP%29.
Please have a try and feel free to file your bug/feature requests at http://youtrack.jetbrains.com/issues/WEB.
0
Hi Ekaterina,

Thanks for the suggestion. Up until now it's working fine. I will file a bug/feature when it comes to mind.

Kind regards,
Raoul
0

Please sign in to leave a comment.